#include <unistd.h>
#include <sys/time.h>
#include "clock.h"

double Platform::GetSystemTime()
{
    timeval time = {0, 0};
    gettimeofday(&time, NULL);

    return time.tv_sec + time.tv_usec / 1000000.;
}

void Platform::Sleep(float time)
{
    usleep(static_cast<unsigned long>(time * 1000000));
}

Clock::Clock()
{
    Reset();
}


float Clock::GetElapsedTime() const
{
    return static_cast<float>(Platform::GetSystemTime() - myStartTime);
}


void Clock::Reset()
{
    myStartTime = Platform::GetSystemTime();
}
